Results 1 to 4 of 4

Thread: ATI Installer Log errors

  1. #1
    Join Date
    May 2009
    Location
    Johannesburg, South Africa
    Posts
    37

    Question ATI Installer Log errors

    Hi there,

    I have just installed the ATI drivers on my laptop, and before rebooting I checked the fglrx-install.log to make sure that it installed correctly... It didn't!

    Can someone please take a look at it for me and advise me on how to rectify this error...

    fglrx-install.log:

    [Message] Kernel Module : Trying to install a precompiled kernel module.
    [Message] Kernel Module : Precompiled kernel module version mismatched.
    [Message] Kernel Module : Found kernel module build environment, generating kernel module now.
    AMD kernel module generator version 2.1
    doing Makefile based build for kernel 2.6.x and higher
    rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers
    make -C /lib/modules/2.6.27.29-0.1-default/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
    make[1]: Entering directory `/usr/src/linux-2.6.27.29-0.1-obj/x86_64/default'
    make -C ../../../linux-2.6.27.29-0.1 O=/usr/src/linux-2.6.27.29-0.1-obj/x86_64/default/. modules
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
    In file included from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:169:
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.h:164:1: warning: "PM_EVENT_SUSPEND" redefined
    In file included from include2/asm/apic.h:4,
    from include2/asm/smp.h:13,
    from /usr/src/linux-2.6.27.29-0.1/include/linux/smp.h:28,
    from /usr/src/linux-2.6.27.29-0.1/include/linux/topology.h:33,
    from /usr/src/linux-2.6.27.29-0.1/include/linux/mmzone.h:687,
    from /usr/src/linux-2.6.27.29-0.1/include/linux/gfp.h:4,
    from /usr/src/linux-2.6.27.29-0.1/include/linux/kmod.h:22,
    from /usr/src/linux-2.6.27.29-0.1/include/linux/module.h:13,
    from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:91:
    /usr/src/linux-2.6.27.29-0.1/include/linux/pm.h:267:1: warning: this is the location of the previous definition
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function KCL_MEM_VM_GetRegionPhysAddrStr:
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3223: warning: return makes pointer from integer without a cast
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3224: warning: return makes pointer from integer without a cast
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3225: warning: return makes pointer from integer without a cast
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3227: warning: return makes pointer from integer without a cast
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_io.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_str.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_wait.o
    LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
    Building modules, stage 2.
    MODPOST 1 modules
    CC /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
    LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
    make[1]: Leaving directory `/usr/src/linux-2.6.27.29-0.1-obj/x86_64/default'
    build succeeded with return value 0
    duplicating results into driver repository...
    done.
    You must change your working directory to /lib/modules/fglrx
    and then call ./make_install.sh in order to install the built module.
    - recreating module dependency list
    - trying a sample load of the kernel modules
    failed.
    [Error] Kernel Module : Failed to install compiled kernel module - please consult readme.

  2. #2
    Join Date
    May 2009
    Location
    Johannesburg, South Africa
    Posts
    37

    Question Re: ATI Installer Log errors

    I have looked all over for the readme, but it is not in the folder with the log file... Where do I find it? Can somebody tell me what I am doing wrong? Are my Kernel Sources incorrectly compiled? If so, how do I delete them and force a re-build...

    Dredger.

  3. #3

    Default Re: ATI Installer Log errors

    Most likely you are missing a required package or library. Consult the requirements in the Release notes. Many of the 32bit libraries are required.

    Also, be sure to install kernel headers and prepare the modules so the fglrx drivers are built properly.

  4. #4
    Join Date
    May 2009
    Location
    Johannesburg, South Africa
    Posts
    37

    Default Re: ATI Installer Log errors

    Hi Inozot,

    Thanks for your reply to my post... I have indeed installed all the required libraries, kernel headers... In fact I have done everything that I have done in that past (ATI - The Hard Way) and none of it has worked, where as it used to be a breeze!

    After trawling the forum I found that due to recent kernel updates that have taken place, my X1200 ATI graphics card is now incompatible with the kernel and will not work with the fglrx driver no matter how hard I try, unless I downgrade my kernel to an earlier version... Which I am not willing to do!

    I therefore have tried to to use the free radeon driver by typing in:

    sax2 -r -m 0=radeon

    But after rebooting, the screen is all streaky, and looks as if I have the resolution set incorectly... I can get around this by presing CTRL+ALT+F1 and then CTRL+ALT+F7, but that is only a quick fix, and goes back to being all streaky if I run anything that requires graphics. Even something small like Frozen Bubble...

    I have therefore restored my original xorg.conf file, and am currently running on the MESA driver...

    Question... How do I upgrade my Mesa graphics driver? I was reading on the forum earlier this evening that someone had done it, but I was unsure what they had done... Is there a repository that I need to add?

    glxinfo gives me this information:
    OpenGL vendor string: DRI R300 Project
    OpenGL renderer string: Mesa DRI R300 20060815 NO-TCL
    OpenGL version string: 1.3 Mesa 7.2

    Thanks for your help...

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •